





alBnkfNew(3P)                                                    alBnkfNew(3P)







NAME

     alBnkfNew - initializes a Bank File for use on the Ultra 64





SYNOPSIS

     #include <libaudio.h>



     void alBnkfNew(ALBankFile *ctl, u8 *tbl);





PARAMETERS

     bnk       pointer to the control (.ctl) data.



     tbl       pointer to the wavetable (.tbl) data.



DESCRIPTION

     The instrument compiler ic (3p) creates two files, the control (.ctl)

     file and the wavetable (.tbl) file. The controlfile contains instrument

     performance information and the wavetable file contains the actual

     wavetable data.



     The control file format specifies that references to bank data be stored

     as offsets from the beginning of the control file. To improve runtime

     performance, the offsets are converted to virtual addresses by alBnkfNew.



     Typically, the control (.ctl) file is loaded into DRAM while the table

     file (.tbl) is left in the Cart ROM because of its size. If your table

     file is small, you can optionally load that into DRAM to minimize DMA

     requests while the sequence is playing.



SEE ALSO

     ic(3P), alSeqpSetBank(3P)















































                                                                        Page 1







