





alCSPGetChlPriority(3P)                                alCSPGetChlPriority(3P)







NAME

     alCSPGetChlPriority - returns the priority for the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     u8   alCSPGetChlPriority(ALCSPlayer *seqp, u8 chan);





PARAMETERS

     seqp      pointer to compressed MIDI sequence player.



     chan      the target (0 based) MIDI channel.



DESCRIPTION

     alCSPGetChlPriority returns the priority for the given MIDI channel. A

     value of 0 is lowest priority, and 127 is highest priority. Because

     channel priority isn't updated until the next call to alAudioFrame, a

     call to alCSPSetChlPriority followed by a call to alCSPGetChlPriority

     within the same frame will not reflect the new value.





SEE ALSO

     alCSPSetChlPriority(3P),





























































                                                                        Page 1







