





alCSPSetBank(3P)                                              alCSPSetBank(3P)







NAME

     alCSPSetBank - specifies the instrument bank for the sequence player to

     use.





SYNOPSIS

     #include <libaudio.h>



     void alCSPSetBank(ALCSPlayer *seqp, ALBank *b);





PARAMETERS

     seqp      pointer to the compressed MIDI sequence player.



     b         pointer to the instrument bank to use.



DESCRIPTION

     alCSPSetBank specifies which ALBank the sequence player should use when

     mapping MIDI notes to instruments.  The bank must be loaded into RAM and

     initialized with a call to alBnkfNew before being used by alCSPSetBank.





SEE ALSO

     alBnkfNew(3P), alCSeqPlayer(3P)































































                                                                        Page 1







