





alCSPSetChlFXMix(3P)                                      alCSPSetChlFXMix(3P)







NAME

     alCSPSetChlFXMix - set the effect mix on the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void    alCSPSetChlFXMix(ALCSPlayer *seqp, u8 chan, u8 fxmix);





PARAMETERS

     seqp      pointer to the compressed MIDI sequence player.



     chan      the target (0 based) MIDI channel.



     fxmix     wet/dry mix. A value of 0 indicates the sound should be

               completely dry, 127 indicates the sound should be completely

               wet.





DESCRIPTION

     alCSPSetChlFXMix sets the effect mix for the given MIDI channel.

     Subsequent FXMix controllers (Cntrl 91) in the sequence will override the

     effect of this call.





SEE ALSO

     alCSPGetChlFXMix(3P), alCSPSendMidi(3P), alCSeqPlayer(3P)























































                                                                        Page 1







