





alCSPSetChlPan(3P)                                          alCSPSetChlPan(3P)







NAME

     alCSPSetChlPan - set the pan position for the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void    alCSPSetChlPan(ALCSPlayer *seqp, u8 chan, ALPan pan);





PARAMETERS

     seqp      pointer to compressed MIDI sequence player.



     chan      the target (0 based) MIDI channel.



     pan       the pan (balance) position for the MIDI channel.



DESCRIPTION

     alCSPSetChlPan sets the pan position for the given MIDI channel. A value

     of 0 is hard left, 64 is center, and 127 is hard right. Subsequent pan

     controllers (Cntrl 10) in the sequence will override the effect of this

     call.





SEE ALSO

     alCSPGetChlPan(3P), alCSPSendMidi(3P), alCSeqPlayer(3P)



























































                                                                        Page 1







