





alCSPSetChlProgram(3P)                                  alCSPSetChlProgram(3P)







NAME

     alCSPSetChlProgram - assigns a MIDI program to a MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void alCSPSetChlProgram(ALCSPlayer *seqp, u8 chan, s32 prog);





PARAMETERS

     seqp      pointer to the compressed MIDI sequence player.



     chan      zero based MIDI channel number on which to set the program.



     prog      the number of the program to assign to the MIDI channel



DESCRIPTION

     alCSPSetChlProgram assigns program number prog from the current bank (see

     alCSPSetBank) to the MIDI channel chan. Subsequent program changes within

     the sequence will override the effect of this call.





SEE ALSO

     alCSPSetBank(3P), alCSPGetChlProgram(3P), alCSPSendMidi(3P),

     alCSeqPlayer(3P)



























































                                                                        Page 1







