





alCSeqNew(3P)                                                    alCSeqNew(3P)







NAME

     alCSeqNew - initialize an Ultra 64 compressed MIDI sequence structure





SYNOPSIS

     #include <libaudio.h>



     void alCSeqNew(ALCSeq *seq, u8 *ptr);





PARAMETERS

     seq       pointer to the ALCSeq structure you wish to initialize.



     ptr       pointer to the compressed MIDI data.





DESCRIPTION

     In order to play a compressed MIDI sequence with the Compressed MIDI

     Sequence Player, you must first initialize the ALCSeq runtime data

     structure by calling alCSeqNew with a pointer to the MIDI sequence data

     ptr





     Note that the MIDI sequence data must be compressed using the midicomp

     tool.



SEE ALSO

     alCSeq(3P), alCSPlayer(3P), midicomp(3P)























































                                                                        Page 1







