





alCSeqNewMarker(3P)                                        alCSeqNewMarker(3P)







NAME

     alCSeqNewMarker - initializes a sequence marker at a given location for

     use with the compressed MIDI sequence player.





SYNOPSIS

     #include <libaudio.h>



     void alCSeqNewMarker(ALCSeq *seq, ALCSeqMarker *m, u32 ticks);





PARAMETERS

     seq       pointer to the ALCSeq structure to operate on.



     m         pointer to the ALCSeqMarker to initialize.



     ticks     the sequence location, in MIDI clock ticks, to be represented

               by the marker.





DESCRIPTION

     alCSeqNewMarker initializes a sequence marker at the location specified

     in ticks. The sequence marker contains sequence state information

     required to locate and play the sequence from that point.



SEE ALSO

     alCSeq(3P), alCSeqGetLoc(3P), alCSeqSetLoc(3P)

























































                                                                        Page 1







