





alCSeqSecToTicks(3P)                                      alCSeqSecToTicks(3P)







NAME

     alCSeqSecToTicks - converts from seconds to MIDI clock ticks





SYNOPSIS

     #include <libaudio.h>



     u32  alCSeqSecToTicks(ALCSeq *seq, float sec, u32 tempo);





PARAMETERS

     seq       pointer to the ALCSeq structure you wish to operate on.



     sec       number of seconds you wish to convert to ticks.



     tempo     the sequence tempo in microsends per tick.





DESCRIPTION

     MIDI sequences represent time in clock ticks relative to some tempo

     (speed).  The alCSeqSecToTicks call converts from seconds to clock ticks.

     It does not take into account the tempo changes listed in the sequence.



SEE ALSO

     alCSeq(3P), alCSeqTicksToSec(3P)





























































                                                                        Page 1







