





alCSeqTicksToSec(3P)                                      alCSeqTicksToSec(3P)







NAME

     alCSeqTicksToSec - converts from MIDI clock ticks to seconds





SYNOPSIS

     #include <libaudio.h>



     f32 alCSeqTicksToSec(ALCSeq *seq, s32 ticks, u32 tempo);





PARAMETERS

     seq       pointer to the ALSeq structure you wish to operate on.



     ticks     number of MIDI clock ticks.



     tempo     tempo in microsends per tick.





DESCRIPTION

     MIDI sequences represent time in clock ticks relative to some tempo

     (speed).  The alCSeqTicksToSec call converts these clock ticks to

     seconds. It does not take into account the tempo changes listed in the

     sequence.



SEE ALSO

     alCSeq(3P), alCSeqSecToTicks(3P)



























































                                                                        Page 1







