





alHeapCheck(3P)                                                alHeapCheck(3P)







NAME

     alHeapCheck - check the consistency of an Ultra 64 audio heap.





SYNOPSIS

     #include <libaudio.h>



     s32     alHeapCheck(ALHeap *hp);





PARAMETERS

     hp        pointer to the ALHeap structure to check.



DESCRIPTION

     In the debugging version of libultra (libultra_d), alHeapCheck examines

     entries in the audio heap, represented by hp, to try to determine if the

     heap has been corrupted. If it detects a heap corruption, it prints the

     file and line where the heap MAY have been corrupted and returns 1.

     Otherwise, it returns 0. It may not catch all corrupted heaps.



     In the non-debug version (libultra), alHeapCheck does nothing.



SEE ALSO

     alHeapInit(3P), alHeapAlloc(3P)































































                                                                        Page 1







