





alInit(3P)                                                          alInit(3P)







NAME

     alInit - initialize the Ultra 64 Audio Library





SYNOPSIS

     #include <libaudio.h>



     void    alInit(ALGlobals *globals, ALSynConfig *c);





PARAMETERS

     globals   pointer to the ALGlobals structure.



     c         pointer to the Synthesis Driver configuration structure.



DESCRIPTION

     In order to use the Audio Library, you must first call alInit(), which

     initializes a Synthesis driver with the configuration, c, and initializes

     the Audio Library global variables.



CONFIGURATION STRUCTURE

     maxVVoices

               maximum number of virtual voices to allocate.



     maxPVoices

               maximum number of physical voices to allocate.



     maxUpdates

               maximum number of synthesizer updates to allocate.



     maxFXBusses

               maximum number of effects busses to allocate.



     dmaproc   pointer to the Audio DMA callback initialization routine. This

               routine will get called once for each physical voice, and must

               return a pointer to the ALDMAproc the voice will use when

               requesting a DMA of audio samples.



     heap      a pointer to an ALHeap structure that has been initialize with

               a call to alHeapInit().



     outputRate

               the desired hardware output rate. (ie. 22k, 32k, 44.1k)



     fxType    the desired effects type.



     params    pointer to the parameter list to use when constructing a custom

               effects chain.















                                                                        Page 1













alInit(3P)                                                          alInit(3P)







SEE ALSO

     alClose(3P), alHeapInit(3p)











































































































                                                                        Page 2







