





alSeqpSetBank(3P)                                            alSeqpSetBank(3P)







NAME

     alSeqpSetBank - specifies the instrument bank for the sequence player to

     use.





SYNOPSIS

     #include <libaudio.h>



     void alSeqpSetBank(ALSeqPlayer *seqp, ALBank *b);





PARAMETERS

     seqp      pointer to the sequence player.



     b         pointer to the instrument bank to use.



DESCRIPTION

     alSeqpSetBank specifies which ALBank the sequence player should use when

     mapping MIDI notes to instruments.  The bank must be loaded into RAM and

     initialized with a call to alBnkfNew before being used by alSeqpSetBank.





SEE ALSO

     alBnkfNew(3P), alSeqPlayer(3P)































































                                                                        Page 1







