





alSeqpSetChlFXMix(3P)                                    alSeqpSetChlFXMix(3P)







NAME

     alSeqpSetChlFXMix - set the effect mix on the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void    alSeqpSetChlFXMix(ALSeqPlayer *seqp, u8 chan, u8 fxmix);





PARAMETERS

     seqp      pointer to a MIDI sequence player.



     chan      the target (0 based) MIDI channel.



     fxmix     wet/dry mix. A value of 0 indicates the sound should be

               completely dry, 127 indicates the sound should be completely

               wet.





DESCRIPTION

     alSeqpSetChlFXMix sets the effect mix for the given MIDI channel.

     Subsequent FXMix controllers (Cntrl 91) in the sequence will override the

     effect of this call.





SEE ALSO

     alSeqpGetChlFXMix(3P), alSeqpSendMidi(3P), alSeqPlayer(3P)























































                                                                        Page 1







