





alSeqpSetChlPan(3P)                                        alSeqpSetChlPan(3P)







NAME

     alSeqpSetChlPan - set the pan position for the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void    alSeqpSetChlPan(ALSeqPlayer *seqp, u8 chan, ALPan pan);





PARAMETERS

     seqp      pointer to a MIDI sequence player.



     chan      the target (0 based) MIDI channel.



     pan       the pan (balance) position for the MIDI channel.



DESCRIPTION

     alSeqpSetChlPan sets the pan position for the given MIDI channel. A value

     of 0 is hard left, 64 is center, and 127 is hard right. Subsequent pan

     controllers (Cntrl 10) in the sequence will override the effect of this

     call.





SEE ALSO

     alSeqpGetChlPan(3P), alSeqpSendMidi(3P), alSeqPlayer(3P)



























































                                                                        Page 1







