





alSeqpSetChlProgram(3P)                                alSeqpSetChlProgram(3P)







NAME

     alSeqpSetChlProgram - assigns a MIDI program to a MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void alSeqpSetChlProgram(ALSeqPlayer *seqp, u8 chan, u8 prog);





PARAMETERS

     seqp      pointer to a MIDI sequence player.



     chan      zero based MIDI channel number on which to set the program.



     prog      the number of the program to assign to the MIDI channel



DESCRIPTION

     alSeqpSetChlProgram assigns program number prog from the current bank

     (see alSeqpSetBank) to the MIDI channel chan. Subsequent program changes

     within the sequence will override the effect of this call.





SEE ALSO

     alSeqpSetBank(3P), alSeqpGetChlProgram(3P), alSeqpSendMidi(3P),

     alSeqPlayer(3P)



























































                                                                        Page 1







