





alSndpDeallocate(3P)                                      alSndpDeallocate(3P)







NAME

     alSndpDeallocate - deallocate a sound from a sound player





SYNOPSIS

     #include <libaudio.h>



     void            alSndpDeallocate(ALSndPlayer *sndp, ALSndId id);





PARAMETERS

     sndp      pointer to a sound player.



     id        unique number which identifies a sound within a sound player.

               This id is returned when the sound is allocated to the sound

               player.



DESCRIPTION

     alSndpDeallocate deallocates a sound from a sound player, sndp, freeing

     up space within the sound player. If the deallocated sound is the current

     target sound the target is set to -1.





NOTE

     You should only call alSndpDeallocate for a sound after the sound's state

     has reached AL_STOPPED.



SEE ALSO

     alSndpSetSound(3P), alSndpGetSound(3P), alSndpAllocate(3P),





















































                                                                        Page 1







