





alSndpSetFXMix(3P)                                          alSndpSetFXMix(3P)







NAME

     alSndpSetFXMix - set the wet/dry mix of the current target sound





SYNOPSIS

     #include <libaudio.h>



     void alSndpSetFXMix(ALSndPlayer *sndp, u8  fxmix);





PARAMETERS

     sndp      pointer to a sound player.



     fxmix     wet/dry mix. A value of 0 indicates the sound should be

               completely dry, 127 indicates the sound should be completely

               wet.



DESCRIPTION

     Set the wet/dry mix value of the current target sound. The target sound

     should be set with a call to alSndpSetSound(3P).  If the sound is playing

     the wet/dry mix will be adjusted. If the sound is not playing this call

     will affect the wet/dry mix of the sound when it is played.



SEE ALSO

     alSndpSetVol(3P), alSndpSetPitch(3P), alSndpSetPan(3P)





























































                                                                        Page 1







