





alSndpSetPan(3P)                                              alSndpSetPan(3P)







NAME

     alSndpSetPan - set the pan position of the current target sound





SYNOPSIS

     #include <libaudio.h>



     void alSndpSetPan(ALSndPlayer *sndp, ALPan pan);





PARAMETERS

     sndp      pointer to a sound player.



     pan       pan position. A value of 0 indicates the sound should be panned

               completely to the left and 127 indicates the sound should be

               panned completely to the right. Note that the pan value is

               added to the pan value associated with the sound in the sound

               bank.



DESCRIPTION

     Set the pan value of the current target sound. The target sound should be

     set with a call to alSndpSetSound(3P).  If the sound is playing the pan

     will be adjusted. If the sound is not playing this call will effect the

     pan position of the sound when it is played.



SEE ALSO

     alSndpSetVol(3P), alSndpSetPitch(3P), alSndpSetFXmix(3P)

























































                                                                        Page 1







