





alSndpSetPitch(3P)                                          alSndpSetPitch(3P)







NAME

     alSndpSetPitch - set the pitch of the current target sound





SYNOPSIS

     #include <libaudio.h>



     void alSndpSetPitch(ALSndPlayer *sndp, f32 pitch);





PARAMETERS

     sndp      pointer to a sound player.



     pitch     pitch. A value of 1 indicates original pitch, fractional values

               indicate lower pitches, eg 0.5 indicates an octave lower than

               original pitch. The maximum pitch allowable is 2.0 (pitch shift

               up 1 octave). Values greater than 2.0 will be clipped to 2.0

               when the sound is played.  The minimum pitch allowable is

               0.0001.  Values less than 0.0001 will be clipped to 0.0001 when

               the sound is played. Note that this value represents the

               practical limit for pitch shifting since it will cause a 20 kHz

               sound to be played at 20 Hz.



DESCRIPTION

     Set the pitch of the current target sound. The target sound should be set

     with a call to alSndpSetSound(3P).  If the sound is playing the pitch

     will be adjusted. If the sound is not playing this call will effect the

     pitch of the sound when it is played.



SEE ALSO

     alSndpSetVol(3P), alSndpSetPan(3P), alSndpSetFXmix(3P)

















































                                                                        Page 1







