





alSndpSetPriority(3P)                                    alSndpSetPriority(3P)







NAME

     alSndpSetPriority - set the priority of a sound





SYNOPSIS

     #include <libaudio.h>



     void alSndpSetPriority(ALSndPlayer *sndp, ALSndId id, u8 priority);





PARAMETERS

     sndp      pointer to a sound player.



     id        id of the sound returned when the sound is allocated by

               alSndpAllocate.



     priority  sound priority.



DESCRIPTION

     Set the priority of a sound. The sound priority is mapped directly to a

     voice priority in the Synthesis Driver when the sound is played. When new

     requests for voices are made to the Synthesis Driver (when a sound or

     note is played), lower priority voices will be stolen if there are no

     free voices.



SEE ALSO

     alSndpAllocate(3P).

























































                                                                        Page 1







