





alSynAddPlayer(3P)                                          alSynAddPlayer(3P)







NAME

     alSynAddPlayer - add a client player to the synthesizer.





SYNOPSIS

     #include <libaudio.h>



     void alSynAddPlayer(ALSynth *drvr, ALPlayer *client);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     client    pointer to the client to be added.



DESCRIPTION

     Add a client player (e.g. a sequence player) to the synthesizer driver.

     A synthesizer can have multiple players. All clients will be called back

     by the driver when client event times are reached.



     Care must be taken that alSynAddPlayer is not called while a call to

     alAudioFrame is processing. This could happen if alSynAddPlayer is called

     from within a voice handler, or if the thread that calls alAudioFrame is

     blocked for some reason.



     Note that this function is for use by those who wish to develop their own

     client players. This function is already called from within alSeqpNew and

     alSndpNew. Details of building your own client player are discussed in

     the Ultra 64 Programming Guide's audio section.



SEE ALSO

     alSynRemovePlayer(3P)















































                                                                        Page 1







