





alSynRemovePlayer(3P)                                    alSynRemovePlayer(3P)







NAME

     alSynRemovePlayer - remove a player from the synthesizer driver.





SYNOPSIS

     #include <libaudio.h>



     void alSynRemovePlayer(ALSynth *drvr, ALPlayer *client);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     client    pointer to the client to be removed.



DESCRIPTION

     Remove a player from the list of synthesizer driver clients. Note that

     all voices should have previously been stopped using alSynStopVoice and

     freed using alSynFreeVoice. alSynRemovePlayer should not be called from

     within an ALVoiceHandler. Care must also be taken to insure that

     alSynRemovePlayer isn't called when alAudioFrame might be in the process

     of execution from another thread.



SEE ALSO

     alSynAddPlayer(3P), alSynStopVoice(3P), alSynFreeVoice(3P)





























































                                                                        Page 1







