





gDPSetDepthSource(3P)                                    gDPSetDepthSource(3P)







NAME

     gDPSetDepthSource, gsDPSetDepthSource - set which source z to use to

     compare against depth buffer



C SPECIFICATION

     #include "gbi.h"



     gDPSetDepthSource(Gfx *gdl, unsigned int source)



     gsDPSetDepthSource(unsigned int source)







PARAMETERS

     *gdl      graphics display list pointer.



     source    G_ZS_PIXEL or G_ZS_PRIM



DESCRIPTION

     G_ZS_PIXEL uses the iterated z and deltaZ values for comparing against

     the depth buffer.  This is the typical usage for a zbuffered application.



     G_ZS_PRIM uses the primitive depth and primitive deltaZ in BL to compare

     against the depth buffer.  In this mode, all pixels within a triangle

     have constant depth.



SEE ALSO

     gDPSetPrimDepth(3P)























































                                                                        Page 1







