





gDPSetTextureConvert(3P)                              gDPSetTextureConvert(3P)







NAME

     gDPSetTextureConvert, gsDPSetTextureConvert - texture filter control and

     color conversion.



C SPECIFICATION

     #include "gbi.h"



     gDPSetTextureConvert(Gfx *gdl, unsigned int type)



     gsDPSetTextureConvert(unsigned int type)







PARAMETERS

     *gdl      graphics display list pointer.



     type      G_TC_CONV, G_TC_FILTCONV, or G_TC_FILT.





DESCRIPTION

     This macro controls the texture filter unit, selecting whether the output

     should be filtered (G_TC_FILT), color-converted from YUV to RGB

     (G_TC_CONV), or both color-converted and filtered (G_TC_FILTCONV).



NOTE

     The default hardware state (mode bits all 0's) represents G_TC_CONV,

     which is not a very good default state, since it is rarely used.



     A very common bug is to have your filtered, textured, display list

     completed, yet the texture still looks incorrect due to a missing

     G_TC_FILT (inadvertently color-converting the texture).





SEE ALSO

     gDPSetConvert(3P)









































                                                                        Page 1







