





gDPSetTextureFilter(3P)                                gDPSetTextureFilter(3P)







NAME

     gDPSetTextureFilter, gsDPSetTextureFilter - set the type of filter used

     when sampling a texture tile.



C SPECIFICATION

     #include "gbi.h"



     gDPSetTextureFilter(Gfx *gdl, unsigned int type)



     gsDPSetTextureFilter(unsigned int type)







PARAMETERS

     *gdl      graphics display list pointer.



     mode      G_TF_POINT, G_TF_AVERAGE, G_TF_BILERP.



DESCRIPTION

     G_TF_POINT point samples the texture tile.  The closest texel to the

     screen pixel center is selected.



     G_TF_AVERAGE configures the TF to do a box filter on the 4 texels

     surrounding the pixel center.



     G_TF_BILERP configures the TF to do a bilinear filter on the 4 texels

     surrounding the pixel center. Two bilinear interpolated tiles can be sent

     to the CC for another linear interpolation to do a mipmap filter.  As an

     optimization, the TF does not perform a true bilinear interpolation; it

     linearly interpolates the 3 closest texels.



















































                                                                        Page 1







