





gDPSetTextureLOD(3P)                                      gDPSetTextureLOD(3P)







NAME

     gDPSetTextureLOD, gsDPSetTextureLOD - enable and disable for LOD or

     mipmapped textures.



C SPECIFICATION

     #include "gbi.h"



     gDPSetTextureLOD(Gfx *gdl, unsigned int mode)



     gsDPSetTextureLOD(unsigned int mode)







PARAMETERS

     *gdl      graphics display list pointer.



     type      G_TL_TILE, G_TL_LOD.



DESCRIPTION

     G_TL_TILE disables LOD tile selection.  In one cycle mode, the tile

     selected in gSPTexture() is the tile used for texturing.  In two cycle

     mode, CC receives texels from the tile selected in gSPTexture() and from

     tile+1.  This pair of texture tiles can be used for dual texture tile

     applications.



     G_TL_LOD selects a pair of tiles from a contiguous texture tile sequence.

     LOD determines which pair of texture tiles are selected.  The CC can do

     mip-mapping by using the texels sampled from these two tiles.  The two

     texel samples are linearly interpolated with LOD fraction to produce the

     final mipmaped texel.



SEE ALSO

     gSPTexture(3P) gDPSetCombineMode(3P)













































                                                                        Page 1







