





gSP1Triangle(3P)                                              gSP1Triangle(3P)







NAME

     gSP1Triangle, gsSP1Triangle - single triangle face command



C SPECIFICATION

     #include "gbi.h"



     gSP1Triangle(Gfx *gdl, int v0, int v1, int v2, int flag)



     gsSP1Triangle(int v0, int v1, int v2, int flag)





PARAMETERS

     *gdl      graphics display list pointer.



     v0, v1, v2

               vertex cache indices.



     flag      triangle face flag.



DESCRIPTION

     This command generates one triangle, using the vertices v0, v1, and v2,

     in the internal vertex buffer loaded by gSPVertex(3P).  The flag should

     be either 0, 1, or 2 to identify which of the three vertices contains the

     normal or the color for the face (for flat shading).



     The actual type of triangle drawn (shaded, textured, z-buffered, etc.)

     is determined by the current RSP rendering state.



SEE ALSO

     gSPVertex(3P)



















































                                                                        Page 1







