





gSPDisplayList(3P)                                          gSPDisplayList(3P)







NAME

     gSPDisplayList, gsSPDisplayList - attach a display list branch onto the

     current display list



C SPECIFICATION

     #include "gbi.h"



     gSPDisplayList(Gfx *gdl, Gfx *dl)



     gsSPDisplayList(Gfx *dl)





PARAMETERS

     *gdl      graphics display list pointer.



     dl        child graphics display list segment address.



DESCRIPTION

     This command invokes the nested execution of another display list,

     analogous to a subroutine call in a programming language.  These display

     list hierarchies may be used for display list re-use or may be used to

     structure the display list data to reflect the actual model being

     rendered.



     The display list stack is 10 deep.



     All display lists must be terminated by a gSPEndDisplayList(3P) command.



     Upon completion of the child display list, processing of the parent

     display list is resumed.



SEE ALSO

     gSPBranchList(3P) gSPEndDisplayList(3P)













































                                                                        Page 1







