





gSPNumLights(3P)                                              gSPNumLights(3P)







NAME

     gSPNumLights, gsSPNumLights - specify number of light structures to load

     into the RSP.



C SPECIFICATION

     #include "gbi.h"



     gSPNumLights(Gfx *gdl, int n)



     gsSPNumLights(int n)





PARAMETERS

     *gdl      graphics display list pointer.



     n         Number of diffuse lights to light with.  Should be one of

               NUMLIGHTS_0, NUMLIGHTS_1, NUMLIGHTS_2, ..., NUMLIGHTS_7.



     This command tells the RSP how many lights are to be used in lighting

     calculations.  Use it in conjunction with the gSPLight (3P) command which

     actually loads the lights to be used.  Note that any time the lighting

     state is altered with gSPLight (3P) the gSPNumLights (3P) command must be

     used to tell the RSP that the lights have been changed (even if the

     NUMBER of lights has not changed).



     When only ambient lights are used, use NUMLIGHTS_0, set light #1 to be

     black, and light #2 to be the ambient color.



     The best way to define static lights is to use the gdSPDefLights (3P)

     command followed by the gSPSetLights (3P) command (instead of using

     gSPLight(3P) and gSPNumLights(3P) explicitly).



SEE ALSO

     gdSPDefLights(3P), gSPLight(3P), gSPSetLights(3P)











































                                                                        Page 1







