





gSPPerspNormalize(3P)                                    gSPPerspNormalize(3P)







NAME

     gSPPerspNormalize, gsSPPerspNormalize - perspective normalization



C SPECIFICATION

     #include "gbi.h"



     gSPPerspNormalize(Gfx *gdl, u16 scale)



     gsSPPerspNormalize(u16 scale)







PARAMETERS

     *gdl      graphics display list pointer.



     scale     the perspective normalization scale, in .16 format.



DESCRIPTION

     This scale value is used to scale the transformed w coordinate down,

     prior to dividing out w to compute the screen coordinates (which are

     similarly scaled). The effect of this is to maximize the precision of

     this divide (which is computed with a limited precision in the RSP

     geometry engine).



NOTE

     The library function guPerspective(3P) returns one approximation for this

     scale value, which is suitable for most cases. This estimate normalizes w

     so that w = 1.0 halfway between the near and far clipping planes.























































                                                                        Page 1







