





gSPPopMatrix(3P)                                              gSPPopMatrix(3P)







NAME

     gSPPopMatrix, gsSPPopMatrix - Matrix pop command.



C SPECIFICATION

     #include "gbi.h"



     gSPPopMatrix(Gfx *gdl, unsigned int param)



     gsSPPopMatrix(unsigned int param)





PARAMETERS

     *gdl      graphics display list pointer.



     param     flag field that identifies which matrix stack to pop.



               G_MTX_MODELVIEW pops the modeling/viewing matrix stack.



               G_MTX_PROJECTION pops the projection matrix stack (NOT

               IMPLEMENTED).





DESCRIPTION

     The gSPPopMatrix (3P) command is used to pop one of the matrix stacks.

     The modelview stack can be up to 10 matrices deep, the projection stack

     is 1 matrix deep, hence it cannot be popped.



NOTE

     If the stack is empty, the command is ignored.



SEE ALSO

     gSPMatrix(3P)















































                                                                        Page 1







