





gSPSegment(3P)                                                  gSPSegment(3P)







NAME

     gSPSegment, gsSPSegment - set segment registers with base address



C SPECIFICATION

     #include "gbi.h"



     gSPSegment(Gfx *gdl, int seg, int base)



     gsSPSegment(int seg, int base)





PARAMETERS

     *gdl      graphics display list pointer.



     seg       segment number. There are 16 segment registers indexed 0-15.



     base      physical address base.



DESCRIPTION

     All pointers embedded in the Reality Coprocessor display list are segment

     addresses composed of a segment base and offset address.  The base

     physical addresses for these segments are set using the gSPSegment

     command.  The actual addresses read by the RSP go thru the following

     translation:



        real_address = base_address[segment_number] + offset.

9

SEE ALSO

     osVirtualToPhysical(3P)













































9





                                                                        Page 1







