





gdSPDefLookAt(3P)                                            gdSPDefLookAt(3P)







NAME

     gdSPDefLookAt - load x and y screen space coordinate directions into

     LookAt structure.



C SPECIFICATION

     #include "gbi.h"



     typedef union {

         Light     l[2];

     } LookAt;



     LookAt gdSPDefLookAt(signed char rightx,  signed char righty,  signed char rightz,

                         signed char upx,  signed char upy,  signed char upz)





PARAMETERS

     rightx, righty, rightz

               x, y, z components in viewing space of x direction in screen

               space



     upx, upy, upz

               x, y, z components in viewing space of y direction in screen

               space



     The gdSPDefLookAt (3P) command loads the x and y screen space coordinate

     directions into a LookAt structure. The x and y direction unit vectors,

     whose components are expressed in the viewing space, must be converted to

     a signed 8-bit fixed point representation. Each component c must undergo

     the conversion:



     ((int) MIN(((c) * (128.0)),127.0) & 0xff)



     The LookAt structure serves as input for the gSPLookAt (3P) command, used

     in the set up process for specular highlights or reflection mapping.



SEE ALSO

     gSPLookAt(3P)





































                                                                        Page 1







