





gspLine3D(3P)                                                    gspLine3D(3P)







NAME

     gspLine3D, gspLine3D.dram - high-quality 3D line RSP microcode.





DESCRIPTION

     This is the optimized, full-featured 3D line geometry RSP microcode.  It

     supports 3D clipping, a matrix stack, gouraud shading, texturing, etc.



     The dram version of the microcode directs the output (RDP display list)

     to a memory buffer, instead of sending it to the RDP.



     All computations are performed with as much precision as is practical, in

     order to create the highest quality images.





GBI

     All gSP1Triangle commands cause the 3 edges of the triangle to be drawn.

     Note that this can be slow since adjacent triangles will both draw the

     shared edge.  This command ( gSP1Triangle ) is meant to be used with the

     line microcode only as a debugging feature because of this inefficiency.





PERFORMANCE

     Line attribute computation is heavily vectorized, so generation of

     Gouraud shading attributes is essentially free, if you are generating any

     other attributes.



DEFAULT RDP STATE

     The default RDP state is identical to the default state described in

     gspFast3D(3P).





BUGS

     None outstanding.





SEE ALSO

     gspFast3D(3P), gspTurbo3D(3P), osSpTaskStart(3P), gSPLine3D(3P)



































                                                                        Page 1







