





guSprite2DInit(3P)                                          guSprite2DInit(3P)







NAME

     guSprite2DInit - initializes a sprite data structure.



C SPECIFICATION

     #include "gu.h"



     void guSprite2DInit(uSprite *SpritePointer,

                   void *SourceImagePointer,

                   void *TlutPointer,

                   short Stride,

                   short SubImageWidth,

                   short SubImageHeight,

                   char  SourceImageType,

                   char  SourceImageBitSize,

                   short ScaleX,

                   short ScaleY,

                   char  FlipTextureX,

                   char  FlipTextureY,

                   short SourceImageOffsetS,

                   short SourceImageOffsetT,

                   short PScreenX,

                   short PScreenY);







PARAMETERS

     Refer to gSPSprite2D(3P) for an explanation of the parameters





DESCRIPTION

     guSprite2DInit is used to initialize a passed in Sprite structure for

     subsequent use by the sprite microcode.





NOTE

     Currently guSprite2DInit(3P) is a dummy routine which merely copies its

     parameters into their corresponding location in the passed in sprite

     structure. For efficiency reasons this function can be bypassed by

     setting the values directly. Future releases might do some actual setup

     work in this function however, so for forwards compatibility it is

     recommended that the function be called anyway.





SEE ALSO

     gSPSprite2D(3P)





















                                                                        Page 1







