





osGlobals(3P)                                                    osGlobals(3P)







NAME

     osTvType, osResetType, osMemSize, osAppNMIBuffer - Operating System

     Global variables



SYNOPSIS

     #include <ultra64.h>



     s32 osTvType;



     s32 osResetType;



     s32 osMemSize;



     s32 osAppNMIBuffer[16];





DESCRIPTION

     The osTvType variable indicates whether the Nintendo64 system is

     configured for PAL video timing (0), NTSC (1), or MPAL (2).



     The osResetType variable saves the cause of the system reboot.  It is

     either 0 indicating a cold reset, or 1 indicating a NMI (nonmaskable

     interrupt).  The NMI occurs after the Reset switch is pressed.



     The osMemSize variable contains the installed main memory (DRAM) size in

     bytes.



     The osAppNMIBuffer is a 64 byte buffer that is cleared on a cold reset.

     If the system reboots because of a NMI, this buffer is unchanged.  The

     game can use this small buffer to hold data.  If the game needs a larger

     buffer, that buffer needs to be located outside of the 1 Megabyte boot

     segment.















































                                                                        Page 1







