





osInitialize(3P)                                              osInitialize(3P)







NAME

     osInitialize - perform hardware and software initialization procedures



SYNOPSIS

     #include <ultra64.h>



     void osInitialize(void);





DESCRIPTION

     The osInitialize call initializes various hardware components and

     software data structures internal to the Nintendo64. Specifically, this

     routine



           1) enables the floating point control/status register to flush

              all denormalized numbers to zero and to cause an invalid

              operation exception when Not a Numbers (NaNs) are generated,

           2) installs exception vectors, and

           3) initializes TLB entry 31 for the debug port



     This routine should be called upon application startup prior to any

     interrupt or exception handling.



































































                                                                        Page 1







