





osPfsSetLabel(3P)                                            osPfsSetLabel(3P)







NAME

     osPfsSetLabel, osPfsGetLabel - Label/Retrieve CONTROLLER PAK's  symbolic

     name



SYNOPSIS

     #include <ultra64.h>



     s32 osPfsSetLabel(OSPfs *pfs, u8 *label);



     s32 osPfsGetLabel(OSPfs *pfs, u8 *label, int *length);





DESCRIPTION

     The osPfsSetLabel call labels the CONTROLLER PAK with the symbolic name

     which is specified by label. The OSPfs handle must be the handle returned

     from osPfsInit. See osPfsInit(3P) for details on how to create this

     handle. The maximum characters for the label is BLOCKSIZE. If the

     symbolic name is longer than BLOCKSIZE, characters past BLOCKSIZE will be

     ignored.



     The osPfsGetLabel call retrieves the symbolic name from the CONTROLLER

     PAK. The user must supply a block of memory large enough for BLOCKSIZE of

     characters. The length of the symbolic name is returned to length.



     A value of 0 is returned if the calls succeed, otherwise one of the

     following error code is returned.



          PFS_ERR_NOPACK     No CONTROLLER PAK is plugged in the specified

                             controller.



          PFS_ERR_CONTRFAIL  The controller sends data at higher data

                             transfer rate than the hardware handling

                             capability or the hardware CRC error occurs.



SEE ALSO

     osContInit (3P), osPfsAllocateFile (3P), osPfsChecker (3P),

     osPfsFileState (3P), osPfsFreeBlocks (3P), osPfsInit (3P), osPfsIsPlug

     (3P), osPfsReSizeFile (3P), osPfsReadWriteFile (3P)



































                                                                        Page 1







