





spColor(3P)                                                        spColor(3P)







NAME

     spColor - Sets the coloration of the sprite



C SPECIFICATION

     #include <sp.h>



     void spColor(Sprite *sp, u8 red, u8 green, u8 blue, u8 alpha)





PARAMETERS

     *sp       pointer to the sprite.



     red       Red tint of sprite



     green     Green tint of sprite



     blue      Blue tint of sprite



     alpha     Transparency of sprite



DESCRIPTION

     For Textured sprites, this coloration scales each of the textures color

     components.  A color of (255,255,255,255) will maintain 100% of all the

     original texture's color.  The alpha component can be used to produce a

     ghost image or blend between two sprites.  Using alpha for blending

     requires that the SP_TRANSPARENT attribute be set.



SEE ALSO

     spSetAttribute(3P)





















































                                                                        Page 1







