





spMove(3P)                                                          spMove(3P)







NAME

     spMove - Position Upper Left corner of sprite on screen



C SPECIFICATION

     #include <sp.h>



     void spMove(Sprite *sp, s32 xpos, s32 ypos)





PARAMETERS

     *sp       pointer to the sprite.



     xpos      Horizontal position of left edge of sprite



     ypos      Vertical position of top edge of sprite



DESCRIPTION

     This function positions the upper left corner of the sprite on the

     screen.  The extent of the drawn portion of the sprite is also affected

     by the sprite's inherent width (sp->width) and height (sp->height) , the

     scaling  of the sprite (see spScale) , and the current scissoring (see

     spScissor).



SEE ALSO

     spDraw(3P), spScale(3P), spScissor(3P)





























































                                                                        Page 1







