





spScale(3P)                                                        spScale(3P)







NAME

     spScale - Alter the size and shape of the sprite



C SPECIFICATION

     #include <sp.h>



     void spScale(Sprite *sp, s32 xscale, s32 yscale)





PARAMETERS

     *sp       pointer to the sprite.



     xscale    Horizontal scale factor (> 1.0 enlarges)



     yscale    Vertical scale factor (> 1.0 enlarges)



DESCRIPTION

     This function expands or contracts each of the sprites dimensions.

     Expansion will make the sprite look a little blurry.  If you want the

     "big pixel" look, you could set the TextureFilter mode to do point

     sampling via gDPSetTextureFilter(gl++,G_TF_POINT).  It is not recommended

     to use scale factors much less than 1.0 for textures with very fine

     details (e.g. text).



SEE ALSO

     spDraw(3P), spScale(3P), spScissor(3P)



























































                                                                        Page 1







