





bkpt(1P)                                                              bkpt(1P)







NAME

     bkpt - set or clear target breakpoint



SYNOPSIS

     bkpt -s tid addr



     bkpt -c tid bpid



DESCRIPTION

     The bkpt command sends a request to set or clear a breakpoint in the

     target system via dbgif. The tid is the thread number. Even though a

     breakpoint is not thread-specific in this debugger, you must still

     specify a thread. The addr is the address at which a breakpoint should be

     set. The bpid argument is the number of the breakpoint to be cleared.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to indicate whether this is a

     request for the R4300 CPU or the coprocessor. The value zero represents

     the CPU and the number one represents the RCP. In csh, this is

     accomplished by specifying



          setenv METHOD 0



SEE ALSO

     dbgif(1P), listthreads(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.



     Support for the -l option, list breakpoints, is not implemented in this

     version of the debug monitor.













































                                                                        Page 1







