





getgregs(1P)                                                      getgregs(1P)







NAME

     getgregs - retrieve general purpose register contents for a target system

     thread



SYNOPSIS

     getgregs thread



DESCRIPTION

     The getgregs command sends a message requesting the contents of the

     general purpose registers for the specified target system thread via

     dbgif and displays the register contents (in hex) on stdout. The contents

     of certain CP0 registers (e.g., the program counter) are also displayed.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to zero to indicate that this

     is a request for the R4300 CPU. The coprocessor does not have general

     registers, so it is inappropriate to set METHOD to 1.  In csh, this is

     accomplished by specifying



          setenv METHOD 0



     If the specified thread was running, the displayed values will be the

     contents of the registers at the time the thread was preempted to service

     the getgregs request.



SEE ALSO

     dbgif(1P), listthreads(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.















































                                                                        Page 1







