





gperf(1P)                                                            gperf(1P)







NAME

     gperf - analyze profile data



SYNOPSIS

     gperf [-c] [-r] [-s] [-t threshold] a.out



DESCRIPTION

     The gperf program converts the output data produced by the osProfile (3P)

     functions along with symbol table informtation from a.out (or your

     executable's name) into a printed report detailing the relative time

     spent by the program in various functions.  This data is obtained using

     pc-sampling which interrupts the program at regular intervals, recording

     the value of the program counter.



     Gperf can operate in a query mode (default), in which each execution

     sends a request to the program running on the development board for

     profile data.  The profiled data is transferred back to the host and

     displayed by gperf. After displaying the data, gperf exits.  Gperf can

     also be run in a server mode, -s option, in which it spins waiting for

     the program to execute the osProfileFlush function.  Gperf will then

     display the data and wait for the next osProfileFlush.



     Gperf will always display the address of the function being displayed,

     the function name, and the percent of execution time used by the

     function.  An example of gperf's output is:



     -------------------------------------------------------------

     Profile Report for osprof

     Number of text symbols: 195

     Sample period: 1000 microseconds

     Number of profiled segments: 2

     Text segment 0, start = 80200050, size = 000000d4

     Text segment 1, start = 80200470, size = 000031cc

     -------------------------------------------------------------





     80202088  osProfileStop..............................    0.0616 %

     80201720  osSetThreadPri.............................    0.1232 %

     Overflow  ...........................................   99.8152 %



   Options

     -c   Display the raw counts for each text symbol.  The -t option will

          then use units of raw counts for the threshold.



     -r   Display the time used by each text symbol in seconds.



     -s   Execute in server mode, i.e.  wait for a flush from application

          rather than initiating a flush from gperf and don't exit.  Note that

          the application must cooperate by sending a osProfileFlush.













                                                                        Page 1













gperf(1P)                                                            gperf(1P)







     -t threshold

          Define a threshold value at which to print results.  Default value

          is 1.0.  If the -c option is used, the threshold is in units of raw

          counts, otherwise the units are percent of execution time.



BUGS

     If you execute gperf without the -s option and the application executes a

     osProfileFlush, the application will hang.































































































                                                                        Page 2







