





ic(1P)                                                                  ic(1P)







NAME

     ic - instrument compiler for Ultra 64 audio



SYNOPSIS

     ic [-v] [-p] [-c] [-s] -[n] -o <output file prefix> <source file>



DESCRIPTION

     The Ultra 64 Audio Library synthesizes audio from MIDI events using

     information contained in the .ctl and .tbl data files. These files, along

     with the .sym file are known collectively as Bank files, and are created

     by the "ic" tool.



     The .tbl file contains the ADPCM compressed audio wavetable data.



     The .ctl file contains information about how the wavetables are to be

     synthesized. It includes information about the wavetable's envelope, pan

     position, pitch, mapping to MIDI note numbers and velocity values. For

     more information about format of the .ctl file, refer to Audio Formats

     section of the Ultra 64 developer's manual.



     If the -c or -s option is used, ic will determine what sounds are needed

     to play the sequences contained in the sequence bank files, and remove

     any unused sounds or objects.



     The .sym file contains the bank file's symbol information, and is used

     mainly for development and debugging. It is used only by the audio bank

     tools, not by the Audio Library.



     Command line options are:



          -v          turns on verbose mode, which spews a lot of largely

                      useless information.



          -o <filename>

                      specifies a file prefix for compiler output.



          <source file>

                      source code for the instrument compiler.



          -c <compact sequence bank file>

                      Analyses the sequence bank file, and determines what

                      sounds and objects are used. Any object not needed is

                      stripped from the output bank. The compact sequence file

                      should have been made using midicomp and sbc.



          -s <midi sequence bank file>

                      Analyses the sequence bank file, and determines what

                      sounds and objects are used. Any object not needed is

                      stripped from the output bank. The compact sequence file

                      should have been made using midicvt and sbc.











                                                                        Page 1













ic(1P)                                                                  ic(1P)







          -p          prints out a table for every program, showing whether or

                      not the key is used. A value of zero is unused, and a

                      one is used. (Only valid when used with the -c or -s

                      option.)



          -n          will not sort the sounds by their keymap.  This is

                      normally used when compiling a sound effects bank since

                      the game needs to reference the sounds as they appear in

                      the .inst file.  However, MIDI banks need to have their

                      sounds sorted by keymap so MIDI note numbers can be

                      correctly mapped to the corresponding sound.





SEE ALSO

     tabledesign(1P), vadpcm_enc(1P)

















































































                                                                        Page 2







