





midiDmon(1P)                                                      midiDmon(1P)







NAME

     midiDmon - Midi Receiving Daemon for Ultra 64 audio



SYNOPSIS

     midiDmon [-v] -b <BankFile>



DESCRIPTION

     Midi Daemon is used to play midi on the Ultra 64 in real time. The Midi

     Daemon requires that you specify the name of a bank file to load. You

     specify this name without any extensions. The bank should already be

     built using IC, and the files must have .ctl, .tbl, and .sym extensions.

     You use the -b argument to specify the bank file. Midi Daemon also has a

     -v flag for verbose operation. The following is an example of a typical

     command line to start Midi Daemon.





EXAMPLE

     midiDmon -b ../banks/GenMidiBank



     When the Midi Daemon is ready to begin receiving midi, it will play a

     single note, of middle C, on the first instrument in the bank that was

     loaded. This is your cue that all is well.



     Command line options are:



          -v          turns on verbose mode. This is mainly useful for

                      verifying that midi is correctly set up.



          -b <BankName>

                      specifies a set of bank files to be used. No extension

                      should be given.

















































                                                                        Page 1







