





readmem(1P)                                                        readmem(1P)







NAME

     readmem - read data from a target system memory



SYNOPSIS

     readmem id vaddr len



DESCRIPTION

     The readmem command sends a request to read data from the memory space of

     the target system via dbgif. The id is the thread number. Even though all

     threads share the same address space, you must still specify a thread.

     This command is shared with other debuggers in which threads may have

     different address spaces.  The virtual address vaddr is the starting

     location to read. The len argument is the number of bytes to be read,

     starting from the specified location.



     The contents of memory will be displayed (in hexadecimal) on stdout as a

     sequence of byte values. For example, the command "readmem 3 0x80001000

     20" produces:



     id 3 vaddr 0x80001000 len 20

     0x80001000  44 84 b0 00 00 00 00 00 20 84 00 01 44 84 b8 00

     0x80001010  00 00 00 00



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to indicate whether this is a

     request for the R4300 CPU or the coprocessor. The value zero represents

     the CPU and the number one represents the RCP. In csh, this is

     accomplished by specifying



          setenv METHOD 0



     If METHOD is set to 1 and the coprocessor was running, the request will

     probably fail (as it should).  It is generally unwise to use METHOD 1 for

     this command anyway; all addresses may be accessed from the CPU.



SEE ALSO

     dbgif(1P), listthreads(1P), writeword(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.



























                                                                        Page 1







