





tabledesign(1P)                                                tabledesign(1P)







NAME

     tabledesign - Design codebooks for the ADPCM compressor



SYNOPSIS

     tabledesign [-s book_size] [-f frame_size] [-i refine_iter] aifcfile



DESCRIPTION

     tabledesign reads an AIFC or AIFF sound file and produces a codebook

     (written to standard output) which is used by vadpcm_enc. The codebook is

     a table of prediction coefficients which the coder selects from to

     optimize sound quality. The procedure used to design the codebooks is

     based on an adaptive clustering algorithm.



     Command line options are:



          -s <value>  is the base 2 log of the number of entries in the table.

                      Currently up to 8 entries are supported, so the value

                      can range from 0 to 3. The default value for this

                      parameter is 2, giving 4 entries. This seems to be

                      adequate for most sounds.



          -f <value>  is the size of the frames (in samples) used to estimate

                      predictors.  Since the ADPCM encoder operates on frames

                      of 16 samples this number should be a multiple of 16.

                      The default value is 16. The main benefit of increasing

                      the frame size is that design time is reduced.



          -i <value>  is the number of iterations used in the refinement step

                      of the clustering algorithm. The default value is 2.

                      Increasing this parameter will increase design time,

                      with some possible improvement in quality. The default

                      is adequate more most sounds.



SEE ALSO

     vadpcm_enc(1P)









































                                                                        Page 1







