





OS_K0_TO_PHYSICAL(3P)                                    OS_K0_TO_PHYSICAL(3P)







NAME

     OS_K0_TO_PHYSICAL - translate from a cached, direct mapped CPU address to

     a physical address



SYNOPSIS

     #include <ultra64.h>



     u32 OS_K0_TO_PHYSICAL(void *vaddr);





DESCRIPTION

     OS_K0_TO_PHYSICAL is a cpp(1) macro that translates from a direct mapped,

     cached (KSEG0) CPU virtual address to a physical address.  The result is

     appropriately cast for use in compiled as well as run time generated

     display lists.



SEE ALSO

     osVirtualToPhysical(3P), OS_K1_TO_PHYSICAL(3P), OS_PHYSICAL_TO_K0(3P),

     OS_PHYSICAL_TO_K1(3P)









































































                                                                        Page 1







