





OS_PHYSICAL_TO_K1(3P)                                    OS_PHYSICAL_TO_K1(3P)







NAME

     OS_PHYSICAL_TO_K1 - translate from a physical address to an uncached,

     direct mapped CPU virtual address



SYNOPSIS

     #include <ultra64.h>



     void *OS_PHYSICAL_TO_K1(u32 paddr);





DESCRIPTION

     OS_PHYSICAL_TO_K1 is a cpp(1) macro that translates from a physical

     memory address to a direct mapped, uncached (KSEG1) CPU virtual address.

     The result is appropriately cast for pointer assignment.



SEE ALSO

     osVirtualToPhysical(3P), OS_K0_TO_PHYSICAL(3P), OS_K1_TO_PHYSICAL(3P),

     OS_PHYSICAL_TO_K0(3P)











































































                                                                        Page 1







