





alCSPSetChlVol(3P)                                          alCSPSetChlVol(3P)







NAME

     alCSPSetChlVol - set the volume for the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void    alCSPSetChlVol(ALCSPlayer *seqp, u8 chan, u8 vol);





PARAMETERS

     seqp      pointer to compressed MIDI sequence player.



     chan      the target (0 based) MIDI channel.



     vol       the new volume for the MIDI channel.



DESCRIPTION

     alCSPSetChlVol sets the volume for the given MIDI channel. A value of 127

     is full volume, and 0 is "off". Subsequent volume controllers (Cntrl 7)

     in the sequence will override the effect of this call.





NOTE

     In addition to channel volume, the sequence player maintains an overall

     sequence volume which can be accessed and set with alCSPGetVol and

     alCSPSetVol.





SEE ALSO

     alCSPGetChlVol(3P), alCSPGetVol(3P), alCSPSendMidi(3P), alCSeqPlayer(3P)

















































                                                                        Page 1







