





alCSPSetSeq(3P)                                                alCSPSetSeq(3P)







NAME

     alCSPSetSeq - set the compressed midi sequence player's target sequence.





SYNOPSIS

     #include <libaudio.h>



     void alCSPSetSeq(ALCSPlayer *seqp, ALCSeq *seq);





PARAMETERS

     seqp      pointer to the compressed midi sequence player.



     seq       pointer to the target compressed midi sequence.



DESCRIPTION

     alCSPSetSeq sets the compressed midi sequence player's target sequence to

     be that referenced by seq, which must first be initialized.



     alCSPSetSeq always resets the sequence tempo to 120 beats per minute.



     If there is a bank associated with the sequence player, alCSPSetSeq

     resets the sequence player's channel parameters. The first instrument in

     the bank will be used as the default program. That instrument's pan,

     volume, priority and bend range are used for the channel parameter

     defaults. If the bank has a percussion instrument, that instrument will

     be used for MIDI channel 10. The fx mix will be set to AL_DEFAULT_FXMIX.







SEE ALSO

     alCSeqNew(3P), alCSeq(3P), alCSPSetBank(3P), alCSeqPlayer(3P)















































                                                                        Page 1







