





alCSeqGetLoc(3P)                                              alCSeqGetLoc(3P)







NAME

     alCSeqGetLoc - initializes a marker with the current sequence location

     for use with the compressed MIDI sequence player.





SYNOPSIS

     #include <libaudio.h>



     void alCSeqGetLoc(ALCSeq *seq, ALCSeqMarker *marker);





PARAMETERS

     seq       pointer to the compressed MIDI sequence.



     marker    marker to be filled in with the current sequence location.





DESCRIPTION

     alCSeqGetLoc initializes marker with the current sequence location. This

     can be used by alCSeqSetLoc to later position the sequence playback at

     this point.



SEE ALSO

     alCSeq(3P), alCSeqSetLoc(3P), alCSeqNewMarker(3P)































































                                                                        Page 1







