





alCSeqSetLoc(3P)                                              alCSeqSetLoc(3P)







NAME

     alCSeqSetLoc - sets the current sequence location within the compressed

     MIDI sequence.





SYNOPSIS

     #include <libaudio.h>



     void alCSeqSetLoc(ALCSeq *seq, ALCSeqMarker *marker);





PARAMETERS

     seq       pointer to the sequence.



     marker    marker containing the new sequence location.





DESCRIPTION

     alCSeqSetLoc sets the sequence player location to be that specified in

     the marker. The marker should have been previously initialized with

     alCSeqNewMarker or alCSeqGetLoc.



NOTE

     Changing the location of the sequence does not revert the channel

     parameters (pan, vol, priority, FXMix) to the values that would exist if

     the sequence was played from the begining to the new location. Channel

     parameters remain what they were prior to the call of alCSeqSetLoc. This

     may require the sequence to imbed controllers for updating the channel

     parameters, or for the application to make calls to set these parameters.



SEE ALSO

     alCSeq(3P), alCSeqNewMarker(3P), alCSeqGetLoc(3P)















































                                                                        Page 1







