





alCents2Ratio(3P)                                            alCents2Ratio(3P)







NAME

     alCents2Ratio - converts a s32 cents value to a f32 ratio.





SYNOPSIS

     #include <libaudio.h>



     f32    alCents2Ratio(s32 cents);





PARAMETERS

     cents     the value measured in cents (a cent is 100th of a whole step)





DESCRIPTION

     alCents2Ratio is a utility routine for converting a detune value measured

     in cents, into a ratio to be multiplied against the base pitch. Negative

     values lower the pitch, while positive values raise the pitch.





EXAMPLE

     A value of 1200 cents will produce a ratio value of 2, which when

     multiplied times the base pitch, will produce a pitch one octave higher.

     A value of -1200 will produce a ratio value of 0.5, which when multiplied

     against the base pitch will produce a pitch of one octave lower.





























































                                                                        Page 1







