





alParseAbiCL(3P)                                              alParseAbiCL(3P)







NAME

     alParseAbiCL - Print an ABI (audio binary interface) command list in

     human readable format.



C SPECIFICATION

     #include "ultra64.h"



     void alParseAbiCL(u64 *cmdList, u32 nbytes)







PARAMETERS

     cmdList   pointer to Audio Binary Interface (ABI) command list in DRAM.



     nbytes    number of bytes in the ABI command list.





DESCRIPTION

     This function interprets and displays the commands in an ABI command

     list. For it to function you must be running the tool, dlprint on the

     Indy host.  The parameters cmdList and nbytes can be obtained after a

     call to alAudioFrame(). cmdList is the same as the first argument to

     alAudioFrame(), and nbytes is easily calculated by multiplying the

     returned value in the cmdLen parameter from alAudioFrame() by

     sizeof(Acmd).



SEE ALSO

     dlprint(1), guParseGbiDL(3P), guParseRdpDL(3P), alAudioFrame(3P)























































                                                                        Page 1







