





alSeqNew(3P)                                                      alSeqNew(3P)







NAME

     alSeqNew - initialize an Ultra 64 MIDI sequence structure





SYNOPSIS

     #include <libaudio.h>



     void alSeqNew(ALSeq *seq, u8 *ptr, s32 len);





PARAMETERS

     seq       pointer to the ALSeq structure you wish to initialize.



     ptr       pointer to the MIDI data.



     len       length of the MIDI data in bytes.





DESCRIPTION

     In order to play a MIDI sequence with the Sequence Player, you must first

     initialize the ALSeq runtime data structure with a pointer to the MIDI

     sequence data ptr and the length of the data len.



     Note that the MIDI sequence must be a Type 0 Standard MIDI file as

     specified by the MIDI Manufacturer's Association. You can use the midicvt

     tool to convert from a Type 1 sequence to Type 0 sequence.



SEE ALSO

     alSeq(3P), alSeqp(3P), midicvt(3P)





















































                                                                        Page 1







