





alSeqSetLoc(3P)                                                alSeqSetLoc(3P)







NAME

     alSeqSetLoc - sets the current sequence location





SYNOPSIS

     #include <libaudio.h>



     void alSeqSetLoc(ALSeq *seq, ALSeqMarker *marker);





PARAMETERS

     seq       pointer to the sequence.



     marker    marker containing the new sequence location.





DESCRIPTION

     alSeqSetLoc sets the sequence player location to be that specified in the

     marker. The marker should have been previously initialized with

     alSeqNewMarker() or alSeqGetLoc().





NOTE

     Changing the location of the sequence does not revert the channel

     parameters (pan, vol, priority, FXMix) to the values that would exist if

     the sequence was played from the begining to the new location. Channel

     parameters remain what they were prior to the call of alSeqSetLoc. This

     may require the sequence to imbed controllers for updating the channel

     parameters, or for the application to make calls to set these parameters.



SEE ALSO

     alSeqNewMarker(3P)















































                                                                        Page 1







