





alSeqpGetChlPriority(3P)                              alSeqpGetChlPriority(3P)







NAME

     alSeqpGetChlPriority - returns the priority for the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     u8   alSeqpGetChlPriority(ALSeqPlayer *seqp, u8 chan);





PARAMETERS

     seqp      pointer to Type 0 MIDI sequence player.



     chan      the target (0 based) MIDI channel.



DESCRIPTION

     alSeqpGetChlPriority returns the priority for the given MIDI channel. A

     value of 0 is lowest priority, and 127 is highest priority. Because

     channel priority isn't updated until the next call to alAudioFrame, a

     call to alSeqpSetChlPriority followed by a call to alSeqpGetChlPriority

     within the same frame will not reflect the new value.





SEE ALSO

     alSeqpSetChlPriority(3P),





























































                                                                        Page 1







