





alSeqpSetChlVol(3P)                                        alSeqpSetChlVol(3P)







NAME

     alSeqpSetChlVol - set the volume for the given MIDI channel.





SYNOPSIS

     #include <libaudio.h>



     void    alSeqpSetChlVol(ALSeqPlayer *seqp, u8 chan, u8 vol);





PARAMETERS

     seqp      pointer to the sequence player.



     chan      the target (0 based) MIDI channel.



     vol       the new volume for the MIDI channel.



DESCRIPTION

     alSeqpSetChlVol sets the volume for the given MIDI channel. A value of

     127 is full volume, and 0 is "off". Subsequent volume controllers (Cntrl

     7) in the sequence will override the effect of this call.





NOTE

     In addition to channel volume, the sequence player maintains an overall

     sequence volume which can be accessed and set with alSeqpGetVol and

     alSeqpSetVol.





SEE ALSO

     alSeqpGetChlVol(3P), alSeqpSetVol(3P), alSeqpSendMidi(3P),

     alSeqPlayer(3P)















































                                                                        Page 1







