





alSeqpSetSeq(3P)                                              alSeqpSetSeq(3P)







NAME

     alSeqpSetSeq - set the sequence player's target sequence.





SYNOPSIS

     #include <libaudio.h>



     void alSeqpSetSeq(ALSeqPlayer *seqp, ALSeq *seq);





PARAMETERS

     seqp      pointer to the sequence player.



     seq       pointer to the target sequence.



DESCRIPTION

     alSeqpSetSeq sets the sequence player's target sequence to be that

     referenced by seq, which must first be initialized.





     alSeqpSetSeq always resets the sequence tempo to 120 beats per minute.



     If there is a bank associated with the sequence player, alSeqpSetSeq

     resets the sequence player's channel parameters. The first instrument in

     the bank will be used as the default program. That instrument's pan,

     volume, priority and bend range are used for the channel parameter

     defaults. If the bank has a percussion instrument, that instrument will

     be used for MIDI channel 10. The fx mix will be set to AL_DEFAULT_FXMIX.







SEE ALSO

     alSeqNew(3P), alSeq(3P), alSeqpSetBank(3P),













































                                                                        Page 1







