





alSndpGetState(3P)                                          alSndpGetState(3P)







NAME

     alSndpGetState - get the state (playing, stopping or stopped) of the

     current target sound





SYNOPSIS

     #include <libaudio.h>



     s32  alSndpGetState(ALSndPlayer *sndp);





PARAMETERS

     sndp      pointer to a sound player.



DESCRIPTION

     Get the play state of the current target sound. The target sound should

     be set with a call to alSndpSetSound(3P).  Possible states are

     AL_PLAYING, AL_STOPPING and AL_STOPPED. AL_PLAYING implies that the sound

     is currently playing, AL_STOPPING implies that the sound is in its

     release phase and AL_STOPPED implies that the sound is no longer playing.



SEE ALSO

     alSndpStop(3P), alSndpPlay(3P)

































































                                                                        Page 1







