





alSndpNew(3P)                                                    alSndpNew(3P)







NAME

     alSndpNew - initialize a sound player





SYNOPSIS

     #include <libaudio.h>



     void alSndpNew(ALSndPlayer *sndp, ALSndpConfig *config);





PARAMETERS

     sndp      pointer to the sound player structure to initialize.



     config    pointer to the sound player configuration structure.





DESCRIPTION

     alSndpNew initializes a sound player, sndp, for the configuration

     specified in config and signs into the synthesis driver as a client.

     Note that it allocates memory from the (initialized) ALHeap referenced by

     the config structure.



     The parameters in the ALSndpConfig structure determine how much is

     allocated. These are as follows:



     maxSounds      the maximum number of sounds which can be allocated to the

                    player.



     maxEvents      the maximum number of internal events to support.



     heap           a pointer to an initialized audio heap.





SEE ALSO

     alHeapNew(3P), alHeapAlloc(3P)









































                                                                        Page 1







