





alSndpSetVol(3P)                                              alSndpSetVol(3P)







NAME

     alSndpSetVol - set the volume of the current target sound





SYNOPSIS

     #include <libaudio.h>



     void alSndpSetVol(ALSndPlayer *sndp, s16 vol);





PARAMETERS

     sndp      pointer to a sound player.



     vol       volume. Maximum volume is 32767. Volume should never be

               negative.



DESCRIPTION

     Set the volume of the current target sound. The target sound should be

     set with a call to alSndpSetSound(3P).  If the sound is playing the

     volume will be adjusted. If the sound is not playing this call will

     effect the volume of the sound when it is played.



SEE ALSO

     alSndpSetPitch(3P), alSndpSetPan(3P), alSndpSetFXmix(3P)































































                                                                        Page 1







