





alSynAllocFX(3P)                                              alSynAllocFX(3P)







NAME

     alSynAllocFx - allocate an audio effect processor





SYNOPSIS

     #include <libaudio.h>



     ALFxRef   alSynAllocFx(ALSynth *drvr, s16 bus, ALSynConfig *c, ALHeap *hp);





PARAMETERS

     drvr      pointer to the synthesizer driver



     bus       auxilliary bus that feeds the allocated effect



     c         pointer to a synthesizer configuration structure



     hp        pointer to the heap to use for effect structures



DESCRIPTION

     Allocate and assign an effect processor to an auxilliary bus and return a

     reference number. The effect will use memory allocated from hp.



NOTE

     alSynAllocFX gets called when the application calls alInit, provided the

     configuration structure passed to alInit does not have the effects type

     parameter set to AL_FX_NONE.  Normally, the application should not call

     alSynAllocFX directly.



SEE ALSO

     alSynFreeFX(3P), alSynSetFXMix(3P), alSynSetFXParam(3P), alInit(3P)

















































                                                                        Page 1







