





alSynFreeVoice(3P)                                          alSynFreeVoice(3P)







NAME

     alSynFreeVoice - deallocate a synthesizer voice.





SYNOPSIS

     #include <libaudio.h>



     void alSynFreeVoice(ALSynth *drvr, ALVoice *voice);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     voice     pointer to the voice structure.



DESCRIPTION

     Deallocate a synthesizer voice and return it to the free voice list.

     Before calling alSynFreeVoice you should be sure the sound has decayed to

     zero volume. Failure to insure that the volume is at zero can result in

     clicks in the audio output.



WARNING

     alSynFreeVoice should only be called from within an ALVoiceHandler.



SEE ALSO

     alSynAllocVoice(3P), alSynStartVoice(3P), alSynStopVoice(3P)



























































                                                                        Page 1







