





alSynSetFXMix(3P)                                            alSynSetFXMix(3P)







NAME

     alSynSetFXMix - set the "wet/dry" effect mix for a voice.





SYNOPSIS

     #include <libaudio.h>



     void alSynSetFXMix(ALSynth *drvr, ALVoice *voice, u8 fxmix);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     voice     pointer to a voice for mixing.



     fxmix     mix value.



DESCRIPTION

     Set the relative mix of effect processed signal and unprocessed signal to

     be added to the final mix.  fxmix ranges from 0-127 with a value of 0

     corresponding to all unprocessed (dry) signal and a value of 127

     corresponding to all processed (wet) signal.



WARNING

     alSynSetFXMix should only be called from within an ALVoiceHandler.





SEE ALSO

     alSynSetVol(3P), alSynSetPan(3P), alSynSetPitch(3P), alSynSetFXParam(3P),

     alSynStartVoiceParam(3P)



















































                                                                        Page 1







