





alSynSetPan(3P)                                                alSynSetPan(3P)







NAME

     alSynSetPan - set the stereo pan position of the specified voice.





SYNOPSIS

     #include <libaudio.h>



     void alSynSetPan(ALSynth *drvr, ALVoice *voice, ALPan pan);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     voice     pointer to the voice.



     pan       the pan value.



DESCRIPTION

     Set the position in the stereo field of the specified voice. A value of 0

     indicates the sound should be panned completely to the left and 127

     indicates the sound should be panned completely to the right.



WARNING

     alSynSetPan should only be called from within an ALVoiceHandler.





SEE ALSO

     alSynSetVol(3P), alSynSetPitch(3P), alSynSetFXMix(3P),

     alSynStartVoiceParam(3P)





















































                                                                        Page 1







