





alSynSetVol(3P)                                                alSynSetVol(3P)







NAME

     alSynSetVol - set the target volume of the specified voice.





SYNOPSIS

     #include <libaudio.h>



     void alSynSetVol(ALSynth *drvr, ALVoice *voice, s16 vol, ALMicroTime t);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     voice     pointer to the voice.



     vol       the new target volume.



     t         time to new target volume in microseconds.



DESCRIPTION

     Ramp exponentially to the target volume in t microseconds.  vol can range

     from 0 to 0x7fff. Negative values are undefined.



WARNING

     alSynSetVol should only be called from within an ALVoiceHandler.



SEE ALSO

     alSynSetPan(3P), alSynSetPitch(3P), alSynSetFXMix(3P),























































                                                                        Page 1







