





alSynStopVoice(3P)                                          alSynStopVoice(3P)







NAME

     alSynStopVoice - stop generating audio samples with the specified voice.





SYNOPSIS

     #include <libaudio.h>



     void alSynStopVoice(ALSynth *drvr, ALVoice *voice);





PARAMETERS

     drvr      pointer to the synthesizer driver.



     voice     pointer to a voice.



DESCRIPTION

     Stop generating audio samples with the specified voice. It is important

     to fade the volume of the voice to zero before stopping it, or clicks in

     the audio output can occur.



WARNING

     alSynStopVoice should only be called from within an ALVoiceHandler.



SEE ALSO

     alSynAllocVoice(3P), alSynStartVoice(3P), alAudioFrame





























































                                                                        Page 1







