





cos(3P)                                                                cos(3P)







NAME

     cosf, coss - computes cosine in floating point and fixed point.



C SPECIFICATION

     #include "gu.h"



     float cosf(float angle);



     short coss(unsigned short angle);







PARAMETERS

     angle     For cosf, angle is in radians. For coss, 0-0xffff represent 0-

               2PI.



DESCRIPTION

     cosf computes the cosine, given an angle in radians and using polynomial

     approximation.



     coss computes the cosine using a table lookup in dram, returning the

     result in s.15 fixed-point format.



SEE ALSO

     sinf(3P) sins(3P) sqrtf(3P)





























































                                                                        Page 1







