





gDPSetHiliteTile(3P)                                      gDPSetHiliteTile(3P)







NAME

     gDPSetHiliteTile, gDPSetHilite1Tile gDPSetHilite2Tile - set texture

     parameters in RDP for specular highlight rendering.



C SPECIFICATION

     #include "gbi.h"

     typedef struct {

       /* texture offsets (pixels) for highlights 1 and 2 */

       int          x1, y1, x2, y2;

     } Hilite_t;



     typedef union {

         Hilite_t   h;

         long int   force_structure_alignment[4];

     } Hilite;



     gDPSetHilite1Tile(Gfx *gdl, int tile, Hilite hilite,

               int width, int height)



     gDPSetHilite2Tile(Gfx *gdl, int tile, Hilite hilite,

               int width, int height)







PARAMETERS

     *gdl      graphics display list pointer.



     tile      tile descriptor index.



     hilite    Hilite structure having texture offsets for up to two specular

               highlights.



     width, height

               common width and height of textures for up to two specular

               highlights.



     The gDPSetHilite*Tile (3P) command calls the gDPSetTileSize (3P) command

     passing the texture offsets through the Hilite structure and the texture

     size through the width and height arguments. The number in the name of

     the command represents the ordinal number of a specular highlight in the

     scene (1 or 2).



SEE ALSO

     gDPSetTileSize(3P) guLookAtHilite(3P)























                                                                        Page 1







