





gDPSetTextureDetail(3P)                                gDPSetTextureDetail(3P)







NAME

     gDPSetTextureDetail, gsDPSetTextureDetail - enable and disable for

     detailed textures.



C SPECIFICATION

     #include "gbi.h"



     gDPSetTextureDetail(Gfx *gdl, unsigned int type)



     gsDPSetTextureDetail(unsigned int type)







PARAMETERS

     *gdl      graphics display list pointer.



     type      G_TD_CLAMP, G_TD_SHARPEN, or G_TD_DETAIL.



DESCRIPTION

     The RDP has several texture sampling modes when LOD < 1.0 or magnifying.



     G_TD_CLAMP just uses the highest level of detail tile of the multiple

     tile texture.



     G_TD_SHARPEN extrapolates the texture from the 2 highest level of detail

     tiles.  This has the effect of making the texture appear sharper when

     magnifying.



     G_TD_DETAIL adds details as the highest level of detail starts getting

     blurry due to magnification.  The amount of detail textures used is

     clamped by the minimum LOD clamp value in the CC primitive color.



SEE ALSO

     gDPSetPrimColor(3P)











































                                                                        Page 1







