





gDPSetTextureLUT(3P)                                      gDPSetTextureLUT(3P)







NAME

     gDPSetTextureLUT, gsDPSetTextureLUT - enable and disable for true color

     or lookup table textures.



C SPECIFICATION

     #include "gbi.h"



     gDPSetTextureLUT(Gfx *gdl, unsigned int mode)



     gsDPSetTextureLUT(unsigned int mode)







PARAMETERS

     *gdl      graphics display list pointer.



     mode      G_TT_NONE, G_TT_RGBA16, G_TT_IA16.



DESCRIPTION

     G_TT_NONE disables table lookup textures and enables true color textures.



     G_TT_RGBA16 enables table lookup textures.  This mode assumes that the

     TLUT entries are 16 bit RGBA format.



     G_TT_IA16 enables table lookup textures.  This mode assumes that the TLUT

     entries are 16 bit IA format.



SEE ALSO

     gDPLoadTLUT_pal*(3P) gDPLoadTextureBlock(3P) gDPLoadTextureBlock_4b(3P)

     gDPLoadTextureTile(3P) gDPLoadTextureTile_4b(3P)



















































                                                                        Page 1







