





gDPSetTexturePersp(3P)                                  gDPSetTexturePersp(3P)







NAME

     gDPSetTexturePersp, gsDPSetTexturePersp - enable and disable for

     perspective corrected texture maps.



C SPECIFICATION

     #include "gbi.h"



     gDPSetTexturePersp(Gfx *gdl, unsigned int enable)



     gsDPSetTexturePersp(unsigned int enable)







PARAMETERS

     *gdl      graphics display list pointer.



     enable    G_TP_NONE or G_TP_PERSP.



DESCRIPTION

     Enables texture perspective correction; the RDP corrects the texture

     coordinate at each pixel.



NOTE

     Because of assumptions made by the RSP, perspective correction is

     required for all textured triangles (including those drawn with an

     orthographic projection).



     When drawing texture rectangles (sprites), you should always disable

     perspective correction.





















































                                                                        Page 1







