





gSPLookAt(3P)                                                    gSPLookAt(3P)







NAME

     gSPLookAt, gsSPLookAt, gSPLookAtX, gsSPLookAtX, gSPLookAtY, gsSPLookAtY -

     load a LookAt structure into the RSP for specular highlighting or

     reflection mapping.



C SPECIFICATION

     #include "gbi.h"



     typedef union {

         Light     l[2];

     } LookAt;



     gSPLookAt(Gfx *gdl, LookAt *l)



     gsSPLookAt(LookAt *l)





PARAMETERS

     *gdl      graphics display list pointer.



     *l        LookAt structure pointer.



     The gSPLookAt (3P) command loads a LookAt structure into the light

     buffer. This structure is required for specular highlighting or relection

     mapping.



     The LookAt structure can be set up with the utility commands

     guLookAtHilite (3P) and guLookAtRelect (3P) or directly with the

     gdSPDefLookAt (3P) command. The LookAt structure contains colors (default

     value place holders) and x and y screen space coordinate directions.



NOTE

     gSPLookAtX and gSPLookAtY are not exposed to the application developer.

     Their usage is embedded in the gSPLookAt (3P) macro.



SEE ALSO

     guLookAtHilite(3P), guLookAtRelect(3P), gdSPDefLookAt(3P)





































                                                                        Page 1







