





gSPViewport(3P)                                                gSPViewport(3P)







NAME

     gSPViewport, gsSPViewport - load viewport projection parameter



C SPECIFICATION

     #include "gbi.h"



     typedef struct {

          short     vscale[4];     /* scale, 2 bits fraction */

          short     vtrans[4];     /* translate, 2 bits fraction */

          /* both the above arrays are padded to 64-bit boundary */

     } Vp_t;



     typedef union {

          Vp_t           vp;

          long long int  force_structure_alignment;

     } Vp;



     gSPViewport(Gfx *gdl, Vp *v)



     gsSPViewport(Vp *v)





PARAMETERS

     *gdl      graphics display list pointer.



     v         viewport pointer (segmented address).  vscale is the scale

               applied to the normalized homogeneous coordinates after 4x4

               projection transformation.  vtrans is offset added to the

               scaled number.  Both of these numbers are in screen

               coordinates.  Array indices of 0, 1, 2 correspond to x,y,z. An

               array index of 3 is used for padding.



DESCRIPTION

     The gsSPViewport command sets up the viewport region of the graphics

     pipeline.  vc and vo are S13.2 numbers.



SEE ALSO

     gDPSetScissor(3P)



































                                                                        Page 1







