





guAlign(3P)                                                        guAlign(3P)







NAME

     guAlign, guAlignF - computes a vector alignment modeling matrix.



C SPECIFICATION

     #include "gu.h"



     void guAlign(Mtx m, float a, float x, float y, float z)



     void guAlignF(float m[4][4], float a, float x, float y, float z)







PARAMETERS

     m         resulting 4x4 matrix.



     a         angle of rotation around the alignment vector, in radians.



     x, y, z   vector to align the negative Z axis to.



     guAlign returns a fixed-point modeling matrix m that can be used to align

     the model with a vector, plus a rotation around that vector.  The vector

     need not be normalized, and the angle should be in radians.



     For a detailed description of the fixed-point matrix format, see

     gSPMatrix (3P).



     guAlignF returns a fixed-point modeling matrix m.





SEE ALSO

     guRotate(3P) guTranslate(3P) guScale(3P) gSPMatrix(3P)

















































                                                                        Page 1







