





guFrustum(3P)                                                    guFrustum(3P)







NAME

     guFrustum, guFrustumF - computes a perspective projection matrix.



C SPECIFICATION

     #include "gu.h"



     void guFrustum(Mtx m,

               float l, float r,

               float b, float t,

               float n, float f

               float scale)



     void guFrustumF(float m[4][4],

               float l, float r,

               float b, float t,

               float n, float f

               float scale)







PARAMETERS

     m         resulting 4x4 projection matrix.



     l, r      left and right vertical clipping planes coordinate at the

               "near" plane.



     b, t      bottom and top horizontal clipping planes coordinate at the

               "near" plane.



     n, f      distance to the near and far clipping planes.



     scale     scale each element of the matrix.  Can be used to improve

               precision in the RSP fixed point arithmetic.



DESCRIPTION

     guFrustum returns a fixed point 4x4 matrix m. For a detailed description

     of the fixed-point matrix format, see gSPMatrix (3P).



     guFrustumF returns a floating point 4x4 matrix m.





SEE ALSO

     guOrtho(3P) guPerspective(3P) guLookAt(3P) gSPMatrix(3P) glFrustum(3G)

























                                                                        Page 1







