





guLookAt(3P)                                                      guLookAt(3P)







NAME

     guLookAt, guLookAtF - computes a 'lookat' viewing matrix.



C SPECIFICATION

     #include "gu.h"



     void guLookAt(Mtx m, float xEye, float yEye, float zEye,

               float xAt,  float yAt,  float zAt,

               float xUp,  float yUp,  float zUp )



     void guLookAtF(float m[4][4], float xEye, float yEye, float zEye,

               float xAt,  float yAt,  float zAt,

               float xUp,  float yUp,  float zUp )







PARAMETERS

     m         resulting 4x4 viewing matrix.



     xEye, yEye, zEye

               eye position.



     xAt, yAt, zAt

               center of interest in the direction we are looking.



     xUp, yUp, zUp

               up direction vector.



DESCRIPTION

     guLookAt Returns a fixed-point 4x4 matrix m. For a detailed description

     of the fixed-point matrix format, see gSPMatrix (3P).



     guLookAtF Returns a floating-point 4x4 matrix m.





SEE ALSO

     gSPMatrix(3P) gluLookAt(3G)





































                                                                        Page 1







