





guPosition(3P)                                                  guPosition(3P)







NAME

     guPosition, guPositionF - computes a modeling matrix.



C SPECIFICATION

     #include "gu.h"



     void guPosition(Mtx *m, float r, float p, float h, float s,

                            float x, float y, float z);



     void guPositionF(float mf[4][4], float r, float p, float h, float s,

                             float x, float y, float z);







PARAMETERS

     m         resulting 4x4 matrix.



     r, p, h   rotate: r=roll p=pitch h=heading(yaw)



     s         scale by factor s



     x, y, z   translation value along x, y, and z axis.



DESCRIPTION

     guPosition returns a fixed point 4x4 matrix m, which locates an object at

     position x,y,z with an orientation determined by r,p,h.



     For a detailed description of the fixed-point matrix format, see

     gSPMatrix (3P).



     guPositionF returns a floating-point 4x4 matrix m.





SEE ALSO

     guRotate(3P) guScale(3P) guAlign(3P) gSPMatrix(3P) guTranslate(3G)









































                                                                        Page 1







