





guRotate(3P)                                                      guRotate(3P)







NAME

     guRotate, guRotateF, guRotateRPY, guRotateRPYF - computes a rotational

     modeling matrix.



C SPECIFICATION

     #include "gu.h"



     void guRotate(Mtx m, float a, float x, float y, float z )



     void guRotateF(float m[4][4], float a, float x, float y, float z )



     void guRotateRPY(Mtx m,  float r, float p, float y )



     void guRotateRPYF(float m[4][4], float r, float p, float y )







PARAMETERS

     m         resulting 4x4 projection matrix.



     a         angle in degrees.  positive angles represent counter-clockwise

               rotation.



     x, y, z   axis of rotation.



     r, p, y   roll, pitch and yaw in degrees.



DESCRIPTION

     guRotate and guRotateRPY return a fixed-point 4x4 matrix m.



     For a detailed description of the fixed-point matrix format, see

     gSPMatrix (3P).



     guRotateF and guRotateRPYF return a floating-point 4x4 matrix m.





SEE ALSO

     guTranslate(3P) guScale(3P) guPosition(3P) guAlign(3P) gSPMatrix(3P)

     glRotate(3G)

































                                                                        Page 1







