





guScale(3P)                                                        guScale(3P)







NAME

     guScale, guScaleF - computes a scaling modeling matrix.



C SPECIFICATION

     #include "gu.h"



     void guScale(Mtx m, float x, float y, float z)



     void guScaleF(float m[4][4], float x, float y, float z)







PARAMETERS

     m         resulting 4x4 projection matrix.



     x, y, z   scaling value along x, y, and z axis.



DESCRIPTION

     guScale Returns a fixed-point 4x4 matrix m.



     For a detailed description of the fixed-point matrix format, see

     gSPMatrix (3P).



     guScaleF Returns a floating-point 4x4 matrix m.





SEE ALSO

     guRotate(3P) guTranslate(3P) guPosition(3P) guAlign(3P) gSPMatrix(3P)

     glScale(3G)





















































                                                                        Page 1







