





guTranslate(3P)                                                guTranslate(3P)







NAME

     guTranslate, guTranslateF - computes a translation modeling matrix.



C SPECIFICATION

     #include "gu.h"



     void guTranslate(Mtx m, float x, float y, float z)



     void guTranslateF(float m[4][4], float x, float y, float z)







PARAMETERS

     m         resulting 4x4 projection matrix.



     x, y, z   translation value along x, y, and z axis.



DESCRIPTION

     guTranslate returns a fixed point 4x4 matrix m.



     For a detailed description of the fixed-point matrix format, see

     gSPMatrix (3P).



     guTranslateF returns a floating-point 4x4 matrix m.





SEE ALSO

     guRotate(3P) guScale(3P) guPosition(3P) guAlign(3P) gSPMatrix(3P)

     glTranslate(3G)





















































                                                                        Page 1







