





osEepromProbe(3P)                                            osEepromProbe(3P)







NAME

     osEepromProbe - poll for EEPROM



SYNOPSIS

     #include <ultra64.h>



     s32 osEepromProbe(OSMesgQueue *mq);





DESCRIPTION

     The osEepromProbe call issues a request command to obtain the status of

     EEPROM and returns 1 if EEPROM exists. Otherwise, a value of 0 is

     returned.  The message queue mq must be an initialized message queue

     associated with the OS_EVENT_SI event.  See osSetEventMesg(3P) for

     details on how to create this association. Note that osContInit(3P) must

     be called to initialize the low level synchronization before

     osEepromProbe can be used.



SEE ALSO

     osContInit (3P), osEepromRead (3p), osEepromWrite (3p), osEepromLongRead

     (3p), osEepromLongWrite (3p).





































































                                                                        Page 1







