





osGetTaskQ(3P)                                                  osGetTaskQ(3P)







NAME

     osScGetTaskQ - get the message queue used for communicating with the

     scheduler thread.



SYNOPSIS

     #include <ultra64.h>



     OSMesgQueue *osScGetCmdQ(OSSched *s);





PARAMETERS

     s         pointer to the scheduler structure.



DESCRIPTION

     In order to send tasks to the Scheduler on the task queue for execution,

     you must first create and initialize an OSScTask structure. The structure

     fields are listed below.



     next           Not used by client (used by the scheduler for list

                    management).



     state          Not used by client (used by the scheduler for state

                    management).



     framebuffer    Address of the frame buffer for this task (if it is a

                    graphics task).



     list           Structure containing task code and command list data (see

                    the man page for osSpTaskLoad).



     msgQ           The message queue on which the client is to recieve the

                    task done message.



     msg            The message that the client is to recieve when the task in

                    done.



     Once you have created and initialized an OSScTask, you can send it to the

     Scheduler thread via the Scheduler's task queue. You can obtain a pointer

     to this queue by calling osScGetTaskQ().  The Scheduler will read this

     task queue after the next retrace message from the Vi Manager. Normally,

     you will send one audio and one graphics task to the Scheduler each

     frame.  After you send the task to the Scheduler, you should not modify

     it until you recieve the "done" message.  The message that the client is

     to recieve when the task in done.



SEE ALSO

     osSpTaskLoad(3P), osCreateScheduler(3P), osScAddClient(3P)

















                                                                        Page 1







