





osInitRdb(3P)                                                    osInitRdb(3P)







NAME

     osInitRdb - set up an outgoing buffer for the rdb debug port



SYNOPSIS

     #include <ultra64.h>



     void osInitRdb(u8 *sendBuf, u32 bufSize);





PARAMETERS

     sendBuf   pointer to the buffer to be used



     bufSize   the size of the buffer in bytes.





DESCRIPTION

     osInitRdb provides a buffer to the rdb debug port handling routines that

     is used to increase efficiency of game to host debug data transfers.  The

     buffer can be of any size, but optimally it should be big enough to

     handle the maximum amount of data transferred at any one given time. (ie.

     if your application prints out 40 lines of debugging info, each of 30

     characters, 1200 bytes would be optimal.)





SUBSYSTEMS

     The following subsystems will use this buffer if it is available:

     osSyncPrintf, logging, profiling, debugging, libultrahost,

























































                                                                        Page 1







