





osSetErrorHandler(3P)                                    osSetErrorHandler(3P)







NAME

     osSetErrorHandler - set debug library error handling routine



SYNOPSIS

     #include <ultra64.h>



     typedef   void (*OSErrorHandler)(s16 code, s16 numArgs, ...);



     OSErrorHandler osSetErrorHandler(OSErrorHandler func);





DESCRIPTION

     The osSetErrorHandler routine sets the debug library error handling

     routine to func and returns the previous value.  If func is NULL, then no

     routine is called when a routine debug library encounters an error.



     The default error handling routine installed at boot time will marshal

     the arguments and send them to gload(3P) where they are interpreted and

     printed.



     This routine is only present in the debug library libultra_d.a, and not

     in the non-debug library libultra.a.



SEE ALSO

     gload(3P)





























































                                                                        Page 1







