





spScissor(3P)                                                    spScissor(3P)







NAME

     spScissor - Set the bounding region inwhich subsequent sprites will be

     drawn



C SPECIFICATION

     #include <sp.h>



     void spScissor( u32 xmin, u32 xmax, u32 ymin, u32 ymax)





PARAMETERS

     xmin      Horizontal position of left edge of scissoring window



     xmax      Horizontal position of right edge of scissoring window



     xmin      Vertical position of top edge of scissoring window



     xmax      Vertical position of bottom edge of scissoring window



DESCRIPTION

     This function specifues the bounding region in which sprites will be

     drawn.  Any part of a sprite outside of this will not be drawn.  Tiles

     entirely outside of this region will not be drawn. Tiles partially

     outside this region will be properly clipped so that only the part inside

     the region is drawn.



     By default, the region starts out with xmin=0, xmax=319, ymin=0,

     ymax=239.  Do not set this region to an area larger than the current

     framebuffer as this may cause the hardware to hang.



SEE ALSO

     spDraw(3P), spScale(3P), spScissor(3P), gDPSetImage(3P)















































                                                                        Page 1







