





flt2c(1P)                                                            flt2c(1P)







NAME

     flt2c - MultiGen .flt database to Ultra 64 graphics data-structure

     converter



SYNOPSIS

     flt2c [-s scale] [-m model] fltfile



DESCRIPTION

     Flt2c reads a MultiGen .flt database and generates Ultra 64 C data

     structures.  The vertex and material data structures are written to a .h

     file, the texture data structures and mbi commands to construct the scene

     are sent to standard output.  A top-level display list can be called by

     the application.



     If textures are referenced from the .flt file, their paths are replaced

     with Textures and they are inserted into the C file as an array.  See

     rgb2c(1P) for the list of supported texture types.  The input texture

     files must be in SGI RGB format.



     Command-line options are:



          -m model    Names the top-level data structure and specifies the

                      base name of the output .h file.  Defaults to "model".

                      References to this model in the application uses this

                      name and a length of 1.



          -s scale    Scale object coordinates by the real-number "scale".

                      This allows the database to maximize object resolution.



BUGS

     Subfaces are not handled very well.  A subface may actually get obscured

     by the parent face.



     Vertex, texture and material usage is not optimal.  Vertices and textures

     should be grouped so as to not be redundantly transformed or loaded.

     Material structure definitions may be redundant; currently there is no

     reuse of previously specified equivalent materials.



SEE ALSO

     rgb2c(1P)































                                                                        Page 1







