





getfpregs(1P)                                                    getfpregs(1P)







NAME

     getfpregs - retrieve floating point register contents for a target system

     thread



SYNOPSIS

     getfpregs thread



DESCRIPTION

     The getfpregs command sends a message requesting the contents of the

     floating point registers for the specified target system thread via dbgif

     and displays the register contents (in hex) on stdout.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to zero to indicate that this

     is a request for the R4300 CPU. The coprocessor does not have floating

     point registers, so it is inappropriate to set METHOD to 1.  In csh, this

     is accomplished by specifying



          setenv METHOD 0



     If the specified thread was running, the displayed registers will be the

     contents of the registers at the time the thread was preempted to service

     the getfpregs request.



SEE ALSO

     dbgif(1P), listthreads(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.



     Only the 32-bit floating point registers ("float" regs) are displayed. It

     would be nice to display the 64-bit registers ("double" regs) as well.











































                                                                        Page 1







