





getvregs(1P)                                                      getvregs(1P)







NAME

     getvregs - retrieve vector register contents from coprocessor



SYNOPSIS

     getvregs thread



DESCRIPTION

     The getvregs command sends a message requesting the contents of the

     coprocessor vector registers from the target system via dbgif and

     displays the register contents (in hex) on stdout. The thread argument is

     required, but meaningless. Choose your favorite integer.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set. Since the target system

     ignores the specified value, it does not need to be changed to the

     "correct" value of one, indicating that this is a request for the

     coprocessor.  The environment variable does need to be set so that a

     value can be supplied as part of the request packet.  In csh, this is

     accomplished by specifying



          setenv METHOD 1



     If the coprocessor was running, the request will probably fail (as it

     should).



SEE ALSO

     dbgif(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.



     The thread argument should not be required.











































                                                                        Page 1







