





imscale(1P)                                                        imscale(1P)







NAME

     imscale - Image scaling utility



SYNOPSIS

     imscale -i input.rgb -o output.rgb -x xscale -y yscale



DESCRIPTION

     imscale is a utility which reads in an rgb format image and scales it by

     arbitrary X and Y floating point scaling values to stretch or shrink the

     image to a desired size. This utility is useful for constructing properly

     filtered textures used in MIP mapping.



     Command line options are:



          -i input.rgb

                      Specifies the name of the input image file which is to

                      be manipulated



          -o output.rgb

                      Specifies the name of the resultant output image file



          -x xscale   Specifies the floating point scaling factor to be

                      applied to the image's X dimension. A value of 1.0 will

                      leave the image unchanged in the X dimension



          -y yscale   Specifies the floating point scaling factor to be

                      applied to the image's Y dimension. A value of 1.0 will

                      leave the image unchanged in the Y dimension



NOTE

     The filter kernel used is a windowed Lanczos kernel, which gives a

     reasonable approximation to the ideal sinc kernel.









































                                                                        Page 1













