





listthreads(1P)                                                listthreads(1P)







NAME

     listthreads - List the threads running in target system



SYNOPSIS

     listthreads process



DESCRIPTION

     The listthreads command sends a message asking for the IDs of any threads

     running on the target system via dbgif and displays the result of the

     command on stdout. The process argument is not used in the Ultra 64

     system, but is required by this command (which is also part of other

     debuggers). It must be a number, but any number will do, since the value

     is ignored by the target. The number 42 is quite popular.



     Since this command is very independent of the application running in the

     target, it is the canonical command for testing communications between

     target and host. If you suspect there is a communications problem, it is

     often useful to run listthreads to see if the target is answering before

     attempting to start the debugger.  A message will be displayed if it is

     not possible to retrieve target information.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to indicate if this is a

     request for the R4300 CPU or the coprocessor. The value zero represents

     the CPU and the number one represents the RCP. In csh, this is

     accomplished by specifying



          setenv METHOD 0



SEE ALSO

     dbgif(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.







































                                                                        Page 1







