





stepthread(1P)                                                  stepthread(1P)







NAME

     stepthread - single steps a target system thread



SYNOPSIS

     stepthread thread



DESCRIPTION

     The stepthread command sends a message requesting a single step of the

     specified thread running on the target system via dbgif. This command has

     no output. Single-step is defined as the execution of one assembly

     language instruction, not one line of source code.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to indicate whether this is a

     request for the R4300 CPU or the coprocessor. The value zero represents

     the CPU and the number one represents the RCP. In csh, this is

     accomplished by specifying



          setenv METHOD 0



     Note that single-stepping the coprocessor actually executes two

     instructions if the first instruction is a branch.



SEE ALSO

     dbgif(1P), listthreads(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.



















































                                                                        Page 1







