





stopthread(1P)                                                  stopthread(1P)







NAME

     stopthread - halt a target system thread



SYNOPSIS

     stopthread thread



DESCRIPTION

     The stopthread command sends a message requesting a halt of the specified

     thread running on the target system via dbgif and displays the thread

     status on stdout.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to indicate whether this is a

     request for the R4300 CPU or the coprocessor. The value zero represents

     the CPU and the number one represents the RCP. In csh, this is

     accomplished by specifying



          setenv METHOD 0



SEE ALSO

     dbgif(1P), listthreads(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.



     If gvd is running, it will be surprised by the unexpected stop of the

     thread and will probably try to restart it.





















































                                                                        Page 1







