





writeword(1P)                                                    writeword(1P)







NAME

     writeword - write data to a target system location



SYNOPSIS

     writeword id vaddr data



DESCRIPTION

     The writeword command sends a request to write a word into the memory

     space of the target system via dbgif. The id is the thread number. Even

     though all threads share the same address space, you must still specify a

     thread. This command is shared with other debuggers in which threads may

     have different address spaces.  The virtual address vaddr is the location

     to write, and it must be on a word boundary. The 32-bit data is the value

     to be written.



     Before execution of this command, the dbgif program must be running and

     the METHOD environment variable must be set to indicate whether this is a

     request for the R4300 CPU or the coprocessor. The value zero represents

     the CPU and the number one represents the RCP. In csh, this is

     accomplished by specifying



          setenv METHOD 0



     If METHOD is set to 1 and the coprocessor was running, the request will

     probably fail (as it should).  It is generally unwise to use METHOD 1 for

     this command anyway; all addresses may be accessed from the CPU.



SEE ALSO

     dbgif(1P), listthreads(1P), readmem(1P)



BUGS

     In the event of a communications failure, the program will dump core. It

     would be nice if it cleaned up after itself, but at present the core file

     must be removed manually.











































                                                                        Page 1







